Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class VirtualDisk

`java.lang.Object
oracle.ovs.api.datamodel.VirtualDiskBase
oracle.ovs.api.datamodel.VirtualDisk`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SharedDiskResource, SharedVirtualDisk

      public class VirtualDisk

extends VirtualDiskBase

Virtual disk data model. use to add/remove/attach/detach virtual disk.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `attachStatus`
`protected java.lang.String` | `comments`
`protected java.lang.String` | `diskName`
`protected java.lang.Long` | `diskSize`
`protected java.lang.String` | `frontEnd`
`protected HardDriveType` | `hardDiskDriver`
`protected DiskMode` | `mode`
`protected int` | `priorityClass`
`protected boolean` | `qosEnable`
`protected boolean` | `sharable`
`protected java.lang.String` | `status`
`protected java.lang.Long` | `virtualDiskId`

Fields inherited from class oracle.ovs.api.datamodel.VirtualDiskBase
`DISK_MODE_READ, DISK_MODE_WRITE, HARD_DRIVE_AUTO, HARD_DRIVE_IDE, HARD_DRIVE_SCSI, HARD_DRIVE_XVD, HARD_DRIVER_AUTO, HARD_DRIVER_IDE, HARD_DRIVER_SCSI, HARD_DRIVER_XVD, NON_SHARABLE, STATUS_ACTIVE`

Constructor Summary
`VirtualDisk()`

Method Summary
`java.lang.String` | `getAttachStatus()`
`java.lang.String` | `getComments()`
`java.lang.String` | `getDiskName()`
`java.lang.Long` | `getDiskSize()`
`java.lang.String` | `getFrontEnd()`
`HardDriveType` | `getHardDiskDriver()`
`DiskMode` | `getMode()`
`int` | `getPriorityClass()`
`java.lang.String` | `getStatus()`
`java.lang.Long` | `getVirtualDiskId()`
`boolean` | `isQosEnable()`
`boolean` | `isSharable()`
`void` | `setAttachStatus(java.lang.String attachStatus)`
`void` | `setComments(java.lang.String comments)`
`void` | `setDiskName(java.lang.String diskName)`
`void` | `setDiskSize(java.lang.Long diskSize)`
`void` | `setFrontEnd(java.lang.String frontEnd)`
`void` | `setHardDiskDriver(HardDriveType hardDiskDriver)`
`void` | `setMode(DiskMode mode)`
`void` | `setPriorityClass(int priorityClass)`
`void` | `setQosEnable(boolean qosEnable)`
`void` | `setSharable(boolean sharable)`
`void` | `setStatus(java.lang.String status)`
`void` | `setVirtualDiskId(java.lang.Long virtualDiskId)`

Methods inherited from class oracle.ovs.api.datamodel.VirtualDiskBase
`getDiskModeRead, getDiskModeWrite, getHardDriveAuto, getHardDriveIde, getHardDriveScsi, getHardDriveXvd`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### virtualDiskId

    protected java.lang.Long virtualDiskId

### diskName

    protected java.lang.String diskName

### diskSize

    protected java.lang.Long diskSize

### sharable

    protected boolean sharable

### qosEnable

    protected boolean qosEnable

### priorityClass

    protected int priorityClass

### hardDiskDriver

    protected HardDriveType hardDiskDriver

### frontEnd

    protected java.lang.String frontEnd

### comments

    protected java.lang.String comments

### attachStatus

    protected java.lang.String attachStatus

### status

    protected java.lang.String status

### mode

    protected DiskMode mode

Constructor Detail

### VirtualDisk

    public VirtualDisk()

Method Detail

### setVirtualDiskId

    public void setVirtualDiskId(java.lang.Long virtualDiskId)

### getVirtualDiskId

    public java.lang.Long getVirtualDiskId()

### setDiskName

    public void setDiskName(java.lang.String diskName)

### getDiskName

    public java.lang.String getDiskName()

### setDiskSize

    public void setDiskSize(java.lang.Long diskSize)

### getDiskSize

    public java.lang.Long getDiskSize()

### setSharable

    public void setSharable(boolean sharable)

### isSharable

    public boolean isSharable()

### setQosEnable

    public void setQosEnable(boolean qosEnable)

### isQosEnable

    public boolean isQosEnable()

### setPriorityClass

    public void setPriorityClass(int priorityClass)

### getPriorityClass

    public int getPriorityClass()

### setHardDiskDriver

    public void setHardDiskDriver(HardDriveType hardDiskDriver)

### getHardDiskDriver

    public HardDriveType getHardDiskDriver()

### setComments

    public void setComments(java.lang.String comments)

### getComments

    public java.lang.String getComments()

### setFrontEnd

    public void setFrontEnd(java.lang.String frontEnd)

### getFrontEnd

    public java.lang.String getFrontEnd()

### setAttachStatus

    public void setAttachStatus(java.lang.String attachStatus)

### getAttachStatus

    public java.lang.String getAttachStatus()

### setStatus

    public void setStatus(java.lang.String status)

### getStatus

    public java.lang.String getStatus()

### setMode

    public void setMode(DiskMode mode)

### getMode

    public DiskMode getMode()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.